@font-face {
  font-family: beaurivage;
  src: url('./fonts/beaurivage-regular.ttf');
  font-display: swap;
}
@font-face {
  font-family: greatvibes;
  src: url('./fonts/greatvibes-regular.ttf');
  font-display: swap;
}
@font-face {
  font-family: indieflower;
  src: url('./fonts/indieflower-regular.ttf');
  font-display: swap;
}
@font-face {
  font-family: vujahdayscript;
  src: url('./fonts/vujahdayscript-regular.ttf');
  font-display: swap;
}

* {
	padding: 0px;
	margin: 0px;
}
html {
	/*background: linear-gradient(0deg, black 0%, black 5%, #222222 10%, black 15%, black 100%); */
	width: 100vw;
	scroll-behavior: smooth;
}

.body1 {
	background-color: #000000;
	background-image: url("hatter06.jpg");
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size: cover;
	overflow-x: hidden;
	font-size: 16px;
	font-family: Arial;
}

.body2 {
	background-color: #000000;
	/* background-image: url("hatter07.jpg"); */
	background-image: url("kepek/kep05.jpg");
	background-position: top left;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size:  auto 100vh;	
}

.body3 {
	background-color: #000000;
	background-image: url("hatter05.jpg");
	/* background-image: url("kepek/kep05.jpg"); */
	background-position: top left;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size:  auto 100vh;	
}

a {
	text-decoration: none;
	color: inherit;
}

h2, h3 {
	width: 90%;
	margin: 0px auto;
	margin-top: 30px;
	padding: 10px;
	background-image: linear-gradient(to right, rgba(0,0,0,0) 0% , rgba(0,0,0,0.7) 20%, rgba(0,0,0,0.7) 80%, rgba(0,0,0,0) 100%);
	font-family: indieflower;
	color: #ff0000;
	text-align: center;
	font-size: 2em;
	letter-spacing: 2px;
}
h3 {
	background-image: linear-gradient(to right, rgba(0,0,0,0) 0% , rgba(218,181,11,0.7) 20%, rgba(218,118,11,0.7) 80%, rgba(0,0,0,0) 100%);
	color: #ffffff;
}

p {
	line-height: 1.5em;
	color: #eeeeaa;
	padding: 5px;
}

strong {
	color: #ffdddd;
	font-size: 1.1em;
}
.focim {
	font-family: beaurivage;
	color: white;
	font-size: 4em;
	border-top: 1px solid #444444;
	border-bottom: 1px solid #444444;
}
.focimi {
	font-size: 1.1em;
	color: #bb0000;
}

#focim_div {
	position: absolute;
	top: 100px;
	right: 10%;
	border: 0px;
	text-align: center;
	width: 30%;
	max-width: 300px;
}

#focim_div2 {
	margin: 20px auto;
	border: 0px;
	text-align: center;
	width: 50%;
	max-width: 300px;
}

#logo {
	width: 70%;
	max-width: 500px;
}

.bea_logo_div {
	position:absolute;
	top: 75%;
	left: 50px;
	margin-bottom: 100px;
}

.bea_logo_div h4 {
	color: #ffffff;
	text-align: left;	
}

.bea_logo {
	margin-right: 50px;
	height: 150px;
}

.bb_logo {
	display: block;
	width: 90%;
	min-width: 160px;
	max-width: 200px;
	margin: 0px auto;
}

.menutabla {
	position: fixed;
	top: 50px;
	left: 0px;
	width: 200px;
}

.menu {
	margin-bottom: 20px;
	transform: translateX(-230px);
	transition: 2s;
}

.menu:hover {
	transform: translateX(-20px);
	cursor: pointer;
}

.menusav {
	width: 172px;
	height: 40px;
	background-color: rgba(100, 0, 0, .5);
	border: 0px solid black;
	border-radius: 5%;
	box-shadow: inset 0 0 20px #550000,
				0 0 25px #bb0000;
	padding: 10px 40px 0px 20px;
	color: #ffff00;
	font-family: beaurivage; 
	font-size: 2em;
	letter-spacing: 1px;
	text-align: right;
}

.menupont {
	width: 32px;
	height: 32px;
	background-color: #ffffff;
	border: 1px solid #ffff00;
	border-radius: 10%;
	box-shadow: inset 0 0 27px #999900,
				0 0 25px #bbbb00;
	transform: translateX(195px) translateY(-45px) rotate(45deg);
}


.kerdes, .idezet, h4 {
	margin-top: 10px;
	font-size: 2em;
	font-family: beaurivage;
	color: #dab50b;
	text-align: center;
	letter-spacing: 1px;
}

.idezet {
	position: absolute;
	bottom: 100px;
	right: 10%;
}

.szerzo {
	color: #999999;
}

.fejlec {
	height: 100vh;
	width: 90%;
	margin: 0px;
	padding: 0px;
}

.fejlec h3 {
	 position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%); 
	font-family: 'Times New Roman'; 
}

.bevezeto, .oldal {
	padding: 0px 30px;
	width: 90%;
	max-width: 1200px;
	margin: 0px auto;
	color: white;
	border-right: 2px solid #778899;
}

.bevezeto {
	background-image: linear-gradient(to bottom, rgba(0,0,0,0) 0% , rgba(0,0,0,0.7) 100%);
	
}

.oldal {
	background-color: rgba(0,0,0,0.7);
	padding-bottom: 20px;
}

.oldal2 {
	width: 100vw;
	background-color: #000000;
	background-image: url("hatter04.jpg");
	background-attachment: fixed;
	background-position: bottom center;
	background-repeat: no-repeat;
	background-size: cover;
	padding: 50px;
	margin-top: 60px;
	box-shadow: 0 0 20px #aaaaaa;
}

.oldal2 p {
	width: 50%;
	min-width: 300px;
	background-image: linear-gradient(to right, rgba(0,0,0,0.7) 70% , rgba(0,0,0,0) 100%);
	padding: 10px;
	margin: 0px;
}

.oldal2 h2, .oldal2 h3 {
	margin: 0px;
	width: 90%;
	letter-spacing: 2px;
}

.kep2 {
	float: right;
	height: 200px;
   	box-shadow:  0 0 30px #778899, inset 0 0 50px #778899;
	border: 2px solid #445566;
	border-radius: 50%;
	margin: 20px;
	margin-right: -120px;
}

.kep4 {
	float: right;
	height: 50dvh;
   	box-shadow:  0 0 30px #778899, inset 0 0 50px #778899;
	border: 2px solid #445566;
	border-radius: 5%;
	margin: 20px;
	margin-right: -120px;
}

.elso {
	margin-top: -50px;
	margin-bottom: 50px;
}

.c {
	text-align: center;
}

.r {
	text-align: right;
}

.i {
	font-style: italic;
}


.oldal3 {
	float: right;
	width: 50%;
	min-width: 300px;
	background-color: rgba(0,0,0,0.8);
	margin: 0px 30px;
	padding: 40px;
	taxt-align: center;
}

@media (max-width: 576px) {
  .site-header .header-inner:not(.header-stacked) .site-branding {
    max-width: 80%; } }

/**
 * Footer styling and layout
 */
.site-footer {
  padding-top: 1rem;
  padding-bottom: 1rem;
  position: relative; }
  .site-footer .footer-inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; }
    .site-footer .footer-inner .custom-logo-link {
      display: block; }
    .site-footer .footer-inner .site-navigation {
      justify-content: flex-end; }
    .site-footer .footer-inner .site-branding {
      display: flex;
      flex-direction: column;
      justify-content: center; }
      .site-footer .footer-inner .site-branding .site-title,
      .site-footer .footer-inner .site-branding .site-description {
        margin: 0; }
      .site-footer .footer-inner .site-branding.show-title .site-logo {
        display: none !important; }
      .site-footer .footer-inner .site-branding.show-logo .site-title {
        display: none !important; }
    .site-footer .footer-inner .copyright {
      align-items: center;
      display: flex;
      justify-content: flex-end; }
      .site-footer .footer-inner .copyright p {
        margin: 0; }
  .site-footer.footer-inverted .footer-inner {
    flex-direction: row-reverse; }
    .site-footer.footer-inverted .footer-inner .site-branding {
      text-align: right; }
    .site-footer.footer-inverted .footer-inner .site-navigation {
      justify-content: flex-start; }
  .site-footer.footer-has-copyright .footer-inner .site-navigation {
    justify-content: center; }
  .site-footer.footer-stacked .footer-inner {
    align-items: center;
    flex-direction: column;
    text-align: center; }
    .site-footer.footer-stacked .footer-inner .site-branding h4.site-title {
      text-align: center; }
    .site-footer.footer-stacked .footer-inner .site-navigation .menu {
      padding: 0; }
  .site-footer:not(.footer-stacked) .footer-inner .site-branding {
    max-width: 20%; }
  .site-footer:not(.footer-stacked) .footer-inner .site-navigation {
    max-width: 60%; }
  .site-footer:not(.footer-stacked) .footer-inner .copyright {
    max-width: 20%; }

@media (max-width: 576px) {
  .site-footer:not(.footer-stacked) .footer-inner .site-branding,
  .site-footer:not(.footer-stacked) .footer-inner .site-navigation,
  .site-footer:not(.footer-stacked) .footer-inner .copyright {
    display: block;
    text-align: center;
    width: 100%;
    max-width: none; }
  .site-footer .footer-inner .site-navigation ul.menu {
    justify-content: center; }
    .site-footer .footer-inner .site-navigation ul.menu li {
      display: inline-block; } }

/**
 * Post Item in Archive
 */
.post .entry-title a {
  text-decoration: none; }

.post .wp-post-image {
  width: 100%;
  max-height: 500px;
  object-fit: cover; }
  @media (max-width: 991px) {
    .post .wp-post-image {
      max-height: 400px; } }
  @media (max-width: 575px) {
    .post .wp-post-image {
      max-height: 300px; } }

/**
 * Comments
 */
#comments .comment-list {
  margin: 0;
  padding: 0;
  list-style: none;
  font-size: .9em; }

#comments .comment,
#comments .pingback {
  position: relative; }
  #comments .comment .comment-body,
  #comments .pingback .comment-body {
    display: flex;
    flex-direction: column;
    padding: 30px 0 30px 60px;
    border-bottom: 1px solid #cccccc; }
    body.rtl #comments .comment .comment-body, body.rtl
    #comments .pingback .comment-body {
      padding: 30px 60px 30px 0; }
  #comments .comment .avatar,
  #comments .pingback .avatar {
    position: absolute;
    left: 0;
    border-radius: 50%;
    margin-right: 10px; }
    body.rtl #comments .comment .avatar, body.rtl
    #comments .pingback .avatar {
      left: auto;
      right: 0;
      margin-right: 0;
      margin-left: 10px; }

#comments .comment-meta {
  display: flex;
  justify-content: space-between;
  margin-bottom: .9rem; }

#comments .reply,
#comments .comment-metadata {
  font-size: 11px;
  line-height: 1; }

#comments .children {
  position: relative;
  list-style: none;
  margin: 0;
  padding-left: 30px; }
  body.rtl #comments .children {
    padding-left: 0;
    padding-right: 30px; }
  #comments .children li:last-child {
    padding-bottom: 0; }

#comments ol.comment-list .children:before {
  display: inline-block;
  font-size: 1em;
  font-weight: normal;
  line-height: 100%;
  content: '\21AA';
  position: absolute;
  top: 45px;
  left: 0;
  width: auto; }
  body.rtl #comments ol.comment-list .children:before {
    content: '\21A9';
    left: auto;
    right: 0; }

@media (min-width: 768px) {
  #comments .comment-author,
  #comments .comment-metadata {
    line-height: 1; } }

@media (max-width: 767px) {
  #comments .comment .comment-body {
    padding: 30px 0; }
  #comments .children {
    padding-left: 20px; }
  #comments .comment .avatar {
    position: inherit;
    float: left; }
    body.rtl #comments .comment .avatar {
      float: right; } }

/**
 * Navigation Menu's
 */
.site-header.header-inverted .site-navigation-toggle-holder {
  justify-content: flex-start; }

.site-header.header-stacked .site-navigation-toggle-holder {
  justify-content: center;
  max-width: 100%; }

.site-header.menu-layout-dropdown .site-navigation {
  display: none; }

.site-navigation-toggle-holder {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-grow: 1;
  max-width: 20%;
  padding: 8px 15px; }
  .site-navigation-toggle-holder .site-navigation-toggle {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    padding: 0.25em;
    cursor: pointer;
    border: 0 solid;
    border-radius: 3px;
    background-color: rgba(0, 0, 0, 0.05);
    color: #494c4f; }
  .site-navigation-toggle-holder.elementor-active .site-navigation-toggle i:before {
    content: '\e87f'; }

.site-navigation {
  grid-area: nav-menu;
  display: flex;
  align-items: center;
  flex-grow: 1; }
  .site-navigation ul.menu, .site-navigation ul.menu ul {
    list-style-type: none;
    padding: 0; }
  .site-navigation ul.menu {
    display: flex;
    flex-wrap: wrap; }
    .site-navigation ul.menu li {
      position: relative;
      display: flex; }
      .site-navigation ul.menu li a {
        display: block;
        padding: 8px 15px; }
      .site-navigation ul.menu li.menu-item-has-children {
        padding-right: 15px; }
        .site-navigation ul.menu li.menu-item-has-children:after {
          display: block;
          content: '\25BE';
          font-size: 1.5em;
          align-items: center;
          color: #666666;
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          text-decoration: none; }
        .site-navigation ul.menu li.menu-item-has-children:focus-within > ul {
          display: block; }
      .site-navigation ul.menu li ul {
        background: #fff;
        display: none;
        min-width: 150px;
        position: absolute;
        z-index: 2;
        left: 0;
        top: 100%; }
        .site-navigation ul.menu li ul li {
          border-bottom: #eeeeee 1px solid; }
        .site-navigation ul.menu li ul li:last-child {
          border-bottom: none; }
        .site-navigation ul.menu li ul li.menu-item-has-children a {
          flex-grow: 1; }
        .site-navigation ul.menu li ul li.menu-item-has-children:after {
          transform: translateY(-50%) rotate(-90deg); }
        .site-navigation ul.menu li ul ul {
          left: 100%;
          top: 0; }
      .site-navigation ul.menu li:hover > ul {
        display: block; }

footer .site-navigation ul.menu li ul {
  top: auto;
  bottom: 100%; }
  footer .site-navigation ul.menu li ul ul {
    bottom: 0; }

footer .site-navigation ul.menu a {
  padding: 5px 15px; }

.site-navigation-dropdown {
  margin-top: 10px;
  transition: max-height 0.3s, transform 0.3s;
  transform-origin: top;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 10000;
  width: 100%; }
  .site-navigation-toggle-holder:not(.elementor-active) + .site-navigation-dropdown {
    transform: scaleY(0);
    max-height: 0; }
  .site-navigation-toggle-holder.elementor-active + .site-navigation-dropdown {
    transform: scaleY(1);
    max-height: 100vh; }
  .site-navigation-dropdown ul {
    padding: 0; }
  .site-navigation-dropdown ul.menu {
    position: absolute;
    width: 100%;
    padding: 0;
    margin: 0;
    background: white; }
    .site-navigation-dropdown ul.menu li {
      display: block;
      width: 100%;
      position: relative; }
    .site-navigation-dropdown ul.menu li a {
      display: block;
      padding: 20px;
      background: #ffffff;
      color: #55595c;
      box-shadow: inset 0 -1px 0 #0000001a; }
    .site-navigation-dropdown ul.menu li.current-menu-item a {
      color: white;
      background: #55595c; }
    .site-navigation-dropdown ul.menu > li li {
      transition: max-height 0.3s, transform 0.3s;
      transform-origin: top;
      transform: scaleY(0);
      max-height: 0; }
    .site-navigation-dropdown ul.menu li.elementor-active > ul > li {
      transform: scaleY(1);
      max-height: 100vh; }

@media (max-width: 576px) {
  .site-header.menu-dropdown-mobile:not(.menu-layout-dropdown) .site-navigation {
    display: none !important; } }

@media (min-width: 768px) {
  .site-header.menu-dropdown-mobile:not(.menu-layout-dropdown) .site-navigation-toggle-holder {
    display: none !important; } }

@media (min-width: 576px) and (max-width: 767px) {
  .site-header.menu-dropdown-mobile:not(.menu-layout-dropdown) .site-navigation {
    display: none !important; } }

@media (min-width: 992px) {
  .site-header.menu-dropdown-tablet:not(.menu-layout-dropdown) .site-navigation-toggle-holder {
    display: none !important; } }

@media (max-width: 992px) {
  .site-header.menu-dropdown-tablet:not(.menu-layout-dropdown) .site-navigation {
    display: none !important; } }

.site-header.menu-dropdown-none:not(.menu-layout-dropdown) .site-navigation-toggle-holder {
  display: none !important; }

/**
 * Basic responsive layout
 */
.site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
  margin-right: auto;
  margin-left: auto;
  width: 100%; }

@media (max-width: 575px) {
  .site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
    padding-right: 10px;
    padding-left: 10px; } }

@media (min-width: 576px) {
  .site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
    max-width: 500px; }
  .site-header.header-full-width .header-inner {
    max-width: 100%; }
  .site-footer.footer-full-width .footer-inner {
    max-width: 100%; } }

@media (min-width: 768px) {
  .site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
    max-width: 600px; }
  .site-header.header-full-width {
    max-width: 100%; }
  .site-footer.footer-full-width {
    max-width: 100%; } }

@media (min-width: 992px) {
  .site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
    max-width: 800px; }
  .site-header.header-full-width {
    max-width: 100%; }
  .site-footer.footer-full-width {
    max-width: 100%; } }

@media (min-width: 1200px) {
  .site-header .header-inner, .site-header:not(.dynamic-header), .site-footer .footer-inner, .site-footer:not(.dynamic-footer), body:not([class*="elementor-page-"]) .site-main {
    max-width: 960px; }
  /* Override the default width for the dynamic header and footer */
  .site-header .header-inner, .site-footer .footer-inner {
    max-width: 1140px; }
  .site-header.header-full-width {
    max-width: 100%; }
  .site-footer.footer-full-width {
    max-width: 100%; } }

.site-header + .elementor {
  min-height: calc( 100vh - 320px); }
